Errors were encountered while processing: /var/cache/apt/archives/gcc-arm-embedded_6-2017q2-1~xenial1_amd64.deb

Bug #1716655 reported by Spandan Dey on 2017-09-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GNU ARM Embedded Toolchain
Undecided
Unassigned

Bug Description

package -> gcc-arm-embedded
version -> 6-2017q2-1~xenial1
host machine -> Linux 4.10.0-28-generic #32~16.04.2-Ubuntu SMP x86_64 x86_64 x86_64 GNU/Linux
case -> Have a "gcc-arm-none-eabi" version 15:4.9.3+svn231177-1 installed
error messages ->
```bash

$sudo apt-get install gcc-arm-embedded
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  gcc-arm-embedded
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/66,2 MB of archives.
After this operation, 463 MB of additional disk space will be used.
(Reading database ... 213454 files and directories currently installed.)
Preparing to unpack .../gcc-arm-embedded_6-2017q2-1~xenial1_amd64.deb ...
Unpacking gcc-arm-embedded (6-2017q2-1~xenial1) ...
dpkg: error processing archive /var/cache/apt/archives/gcc-arm-embedded_6-2017q2-1~xenial1_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/arm-none-eabi-ld', which is also in package binutils-arm-none-eabi 2.26-4ubuntu1+8
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/gcc-arm-embedded_6-2017q2-1~xenial1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

```

Hi,

You've tried to install our gcc-arm-embedded package alongside the arm-none-eabi cross-toolchain provided in Ubuntu. The two are not designed to work together, you should use either one or the other. Note that the one in Debian/Ubuntu is not currently provided by us.

Best regards.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers